diff --git a/doc/fortunes b/doc/fortunes
index 042edc5d94ace..4b37824685ec6 100644
--- a/doc/fortunes
+++ b/doc/fortunes
@@ -147,3 +147,5 @@ This page intentionally left blank
 sick my duck!
 duck my sick!
 Use 'ec' to choose the colors for your disassembly palette
+Here be dragons
+Trust no one, either a zero. Both lie.
diff --git a/libr/io/io.c b/libr/io/io.c
index 9554fe3571c58..65922996f8dd3 100644
--- a/libr/io/io.c
+++ b/libr/io/io.c
@@ -389,7 +389,7 @@ R_API ut64 r_io_seek(RIO *io, ut64 offset, int whence) {
 		// XXX can be problematic on w32..so no 64 bit offset?
 		else ret = (ut64)lseek (io->fd->fd, offset, posix_whence);
 		if (ret != UT64_MAX) {
-			io->off = ret;
+			io->off = offset; // ret; // FIX linux-arm-32-bs at 0x10000
 			// XXX this can be tricky.. better not to use this .. must be deprecated
 			// r_io_sundo_push (io);
 			ret = (!io->debug && io->va && !r_list_empty (io->sections))?
